# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.projecthosting
Class IssuesEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<IssuesEntry>
                  com.google.gdata.data.projecthosting.IssuesEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class IssuesEntry

extends BaseEntry<IssuesEntry>

Google Code Project Issues Feed entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`IssuesEntry()` Default mutable constructor.
`IssuesEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addBlockedOn(BlockedOn blockedOn)` Adds a new blocked on.
`void` `addBlocking(Blocking blocking)` Adds a new blocking.
`void` `addCc(Cc cc)` Adds a new list of CCed user.
`void` `addLabel(Label label)` Adds a new label.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getAtomRepliesLink()` Returns the replies Project Hosting Link class.
`java.util.List<BlockedOn>` `getBlockedOns()` Returns the blocked ons.
`java.util.List<Blocking>` `getBlockings()` Returns the blockings.
`java.util.List<Cc>` `getCcs()` Returns the list of CCed users.
`ClosedDate` `getClosedDate()` Returns the closed date.
`Id` `getIssueId()` Returns the id.
`java.util.List<Label>` `getLabels()` Returns the labels.
`MergedInto` `getMergedInto()` Returns the merged into.
`Owner` `getOwner()` Returns the owner.
`SendEmail` `getSendEmail()` Returns the send email.
`Stars` `getStars()` Returns the stars.
`State` `getState()` Returns the state.
`Status` `getStatus()` Returns the status.
`boolean` `hasBlockedOns()` Returns whether it has the blocked ons.
`boolean` `hasBlockings()` Returns whether it has the blockings.
`boolean` `hasCcs()` Returns whether it has the list of CCed users.
`boolean` `hasClosedDate()` Returns whether it has the closed date.
`boolean` `hasIssueId()` Returns whether it has the id.
`boolean` `hasLabels()` Returns whether it has the labels.
`boolean` `hasMergedInto()` Returns whether it has the merged into.
`boolean` `hasOwner()` Returns whether it has the owner.
`boolean` `hasSendEmail()` Returns whether it has the send email.
`boolean` `hasStars()` Returns whether it has the stars.
`boolean` `hasState()` Returns whether it has the state.
`boolean` `hasStatus()` Returns whether it has the status.
`void` `setClosedDate(ClosedDate closedDate)` Sets the closed date.
`void` `setIssueId(Id issueId)` Sets the id.
`void` `setMergedInto(MergedInto mergedInto)` Sets the merged into.
`void` `setOwner(Owner owner)` Sets the owner.
`void` `setSendEmail(SendEmail sendEmail)` Sets the send email.
`void` `setStars(Stars stars)` Sets the stars.
`void` `setState(State state)` Sets the state.
`void` `setStatus(Status status)` Sets the status.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssuesEntry

    public IssuesEntry()

  Default mutable constructor.

### IssuesEntry

    public IssuesEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getBlockedOns

    public java.util.List<BlockedOn> getBlockedOns()

  Returns the blocked ons.

  Returns:
    blocked ons

### addBlockedOn

    public void addBlockedOn(BlockedOn blockedOn)

  Adds a new blocked on.

  Parameters:
    `blockedOn` - blocked on

### hasBlockedOns

    public boolean hasBlockedOns()

  Returns whether it has the blocked ons.

  Returns:
    whether it has the blocked ons

### getBlockings

    public java.util.List<Blocking> getBlockings()

  Returns the blockings.

  Returns:
    blockings

### addBlocking

    public void addBlocking(Blocking blocking)

  Adds a new blocking.

  Parameters:
    `blocking` - blocking

### hasBlockings

    public boolean hasBlockings()

  Returns whether it has the blockings.

  Returns:
    whether it has the blockings

### getCcs

    public java.util.List<Cc> getCcs()

  Returns the list of CCed users.

  Returns:
    list of CCed users

### addCc

    public void addCc(Cc cc)

  Adds a new list of CCed user.

  Parameters:
    `cc` - list of CCed user

### hasCcs

    public boolean hasCcs()

  Returns whether it has the list of CCed users.

  Returns:
    whether it has the list of CCed users

### getClosedDate

    public ClosedDate getClosedDate()

  Returns the closed date.

  Returns:
    closed date

### setClosedDate

    public void setClosedDate(ClosedDate closedDate)

  Sets the closed date.

  Parameters:
    `closedDate` - closed date or `null` to reset

### hasClosedDate

    public boolean hasClosedDate()

  Returns whether it has the closed date.

  Returns:
    whether it has the closed date

### getIssueId

    public Id getIssueId()

  Returns the id.

  Returns:
    id

### setIssueId

    public void setIssueId(Id issueId)

  Sets the id.

  Parameters:
    `issueId` - id or `null` to reset

### hasIssueId

    public boolean hasIssueId()

  Returns whether it has the id.

  Returns:
    whether it has the id

### getLabels

    public java.util.List<Label> getLabels()

  Returns the labels.

  Returns:
    labels

### addLabel

    public void addLabel(Label label)

  Adds a new label.

  Parameters:
    `label` - label

### hasLabels

    public boolean hasLabels()

  Returns whether it has the labels.

  Returns:
    whether it has the labels

### getMergedInto

    public MergedInto getMergedInto()

  Returns the merged into.

  Returns:
    merged into

### setMergedInto

    public void setMergedInto(MergedInto mergedInto)

  Sets the merged into.

  Parameters:
    `mergedInto` - merged into or `null` to reset

### hasMergedInto

    public boolean hasMergedInto()

  Returns whether it has the merged into.

  Returns:
    whether it has the merged into

### getOwner

    public Owner getOwner()

  Returns the owner.

  Returns:
    owner

### setOwner

    public void setOwner(Owner owner)

  Sets the owner.

  Parameters:
    `owner` - owner or `null` to reset

### hasOwner

    public boolean hasOwner()

  Returns whether it has the owner.

  Returns:
    whether it has the owner

### getSendEmail

    public SendEmail getSendEmail()

  Returns the send email.

  Returns:
    send email

### setSendEmail

    public void setSendEmail(SendEmail sendEmail)

  Sets the send email.

  Parameters:
    `sendEmail` - send email or `null` to reset

### hasSendEmail

    public boolean hasSendEmail()

  Returns whether it has the send email.

  Returns:
    whether it has the send email

### getStars

    public Stars getStars()

  Returns the stars.

  Returns:
    stars

### setStars

    public void setStars(Stars stars)

  Sets the stars.

  Parameters:
    `stars` - stars or `null` to reset

### hasStars

    public boolean hasStars()

  Returns whether it has the stars.

  Returns:
    whether it has the stars

### getState

    public State getState()

  Returns the state.

  Returns:
    state

### setState

    public void setState(State state)

  Sets the state.

  Parameters:
    `state` - state or `null` to reset

### hasState

    public boolean hasState()

  Returns whether it has the state.

  Returns:
    whether it has the state

### getStatus

    public Status getStatus()

  Returns the status.

  Returns:
    status

### setStatus

    public void setStatus(Status status)

  Sets the status.

  Parameters:
    `status` - status or `null` to reset

### hasStatus

    public boolean hasStatus()

  Returns whether it has the status.

  Returns:
    whether it has the status

### getAtomRepliesLink

    public Link getAtomRepliesLink()

  Returns the replies Project Hosting Link class.

  Returns:
    Replies Project Hosting Link class or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`